Subject: [os2genau_digest] No. 1060
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 25 Feb 2005 00:01:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 24 February 2005
 Number  1060
**************************************************

Subjects for today
 
1   Btrieve Re:  OT: Windows Mouse actions : Voytek Eymont" <voytek at sbt dot net dot au>
2  Re:  OT: Windows Mouse actions : Voytek Eymont" <voytek at sbt dot net dot au>
3  Re:  LVM and PM along with DFSee! : Mike O'Connor <mikeoc at dodo dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 24 Feb 2005 00:01:07 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:   Btrieve Re:  OT: Windows Mouse actions

John Angelico said:
> On Wed, 23 Feb 2005 20:09:41 +1100 (EST), Voytek Eymont wrote:
>>John Angelico said:
>>> On Wed, 23 Feb 2005 13:00:17 +1100, Gavin Miller wrote:

>>Btrieve has preceeded Novell, Novell bought it at some stage from the
original developers
>
> Yes, OK Voytek, but most people remember it as from the Novell period.

I certainly don't;
most ppl based on what survey ?

> Trivia quiz: Who can tell us the name of the originator of the Btrieve
technology?

so pervasive is softcraft:

http://www.pervasive dot com/company/overview/index.asp
Our History
We started in 1982 as SoftCraft with the acclaimed Btrieve database
technology and set the benchmark for an entire industry. Acquired by
Novell in 1987, we were later spun out as Btrieve Technologies, in
response to our singular popularity. We took the name Pervasive Software
in 1996 to reflect our global presence, went public in 1997, and launched
our flagship Pervasive.SQL product in 1999. In 2003, we acquired Data
Junction Corporation to enhance our ability to comprehensively address the
data infrastructure needs of our current and future customers. In 2005, we
introduced Pervasive Postgres to extend the benefits of open source
software to the enterprise database market.

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Thu, 24 Feb 2005 00:06:35 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  OT: Windows Mouse actions

John Angelico said:
> On Wed, 23 Feb 2005 23:39:13 +1100 (EST), Voytek Eymont wrote:
>>John Angelico said:
>>> On Wed, 23 Feb 2005 20:09:41 +1100 (EST), Voytek Eymont wrote:
>>>>John Angelico said:
>>>>> On Wed, 23 Feb 2005 13:00:17 +1100, Gavin Miller wrote:

>>> Trivia quiz: Who can tell us the name of the originator of the Btrieve
>>> technology?
>>
>>
>>what's the prize ?
>
> The smug satisfaction of being trivially more knowledgeable than others....
>                          ^^^^^^^^^^^^^^^

perhaps you meant 'Btrieveally' ?

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Thu, 24 Feb 2005 01:06:41 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  LVM and PM along with DFSee!

Kev wrote:

> Hi Alan, Mike
>
> Mike O'Connor wrote:
>
>> Hi Alan,
>>
>> Adding to the extensive list that Kev provided, I'd suggest that you 
>> get a copy of DFSee [www.dfsee dot com]!
>> M$ uses a different CHS system to PowerQuest, which is different 
>> again from that used by OS/2-eCS [and DFSee default]. However one can 
>> change the current flavour of CHS with DFSee in order to work 
>> successfully with Partition Magic/Drive Image, or LVM. It also makes 
>> it simple to alter extended partition types from 05h to 0Fh as 
>> required for Win9x.
>
>
> Well there you are Alan, that answers the question about changing the 
> CHS figures.  I didn't know all that.

Well, Kev, as I rewrote the DFSee documentation for JvW back in the 
Version 5.22-5.26 timeframe, I obviously had to read it all and make 
sure it was consistent and understandable, so I had "insider 
information"! ;-)

>>
>> Note that the largest FAT32 partition you will be able to 
>> *create/format* with any M$-NT flavour is 32GB, so Kev's comment 
>> about using the balance of the first drive as a single D: partition 
>> will only work for drives ~30GB.
>
>
> Correctamundo!!  As FAT32 is not a fabulous FS, I'd stick to my 
> original suggestion and keep this partition down to 1 or 2 gig.
>
>> Using Partition Magic of course you can create and simultaneously 
>> format FAT32 partitions >32GB.
>
>
> Mike, won't this still leave Alan with the problem of different CHS 
> figures when the drive is converted to an LVM drive during the eCS 
> install?

No. See below!

> In my blissful ignorance I've just gone ahead and done what I've done 
> and never had this happen to me.
>
>> When installing the initial IBM BM, I'd also create a primary 
>> partition for WXP and then make it the active partition at this time.
>
>
> An EXCELENT suggestion.  I 2nd that!
>
> Kev 

Hi Kev,

Following is the documentation relating to the DFSee command FIXCHS - 
this from the just-released[3 hours ago], DFSee 7.00 --

 FIXCHS     disk                 = Fix CHS values to match LBA/current 
geometry

 Purpose:       Change all nonstandard values for the CHS fields in 
partition
                tables to valid ones to avoid warnings or failures working
                with other disktools (FDISK, LVM, Partition-Magic etc)

 Parameters:    disk    mandatory  Disknr or '.' for current, '*' for 
all disks

 Options:       -c:[0|1|2] : CHS style: 1=PQMagic, 2=MS, default 0=IBM/DFSee
             or -c:IBM       To override the global style being used, and
             or -c:PQ        force ALL CHS value to use this specific style.
             or -c:MS        useful to avoid "corruption" messages/errors
                             by tools like Partition-Magic or LVM ...

 Output:        Progress information and confirmation messages

 Remarks:       Nonstandard values for the CHS fields sometimes cause
                problems in tools like LVM, it refuses to update anything
                because the "partition table might be corrupt" ...

                There are two cases: for cylinders below 1024 the CHS values
                must match the calculated linear values (LBA) exactly, and
                above cylinder 1024 they should be acceptable 'dummy' 
values.
                For the dummy values, a few styles are supported, the 
default
                is the one normally created by DFSee and by OS/2 FDISK 
or LVM
                but you can also select the PowerQuest style _to_ _make_ 
_sure_
                _Partition-Magic_ _or_ _Drive-Image_ _are_ _satisfied_.

                Note that the calculated LBA values depend on the logical
                geometry being used, so check if that geometry is the one
                you want (or need) to use.

                Fixing this will get rid of all the DFSee warnings related
                to CHS problems (as displayed with 'part -w:chs')
                However, cylinder alignment warnings will stay because the
                partitions are not moved or resized. This is often less of
                a problem than CHS mismatches.

 Remarks:       The nonstandard type 0x0f was introduced by Win9x combined

CLEANUP is another related command with the same switch for PQ/M$/IBM!

Just do a search for "Magic" in the text files in the \DOC subdirectory 
of DFSee7xx and you'll have a few other references - including using 
with CREATE etc.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, * dot com, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------